ImageMaster.ImageMasterHelper (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image
Class ImageMaster.ImageMasterHelper

    java.lang.Object
      com.bbn.openmap.image.ImageMaster.ImageMasterHelper

All Implemented Interfaces:
  ImageReceiver

Enclosing class:
  ImageMaster

    public class ImageMaster.ImageMasterHelper

extends java.lang.Object
implements ImageReceiver

The ImageMasterHelper contains an ImageServer, and acts like the ImageReceiver to create the Image file when the bits are ready.

Field Summary
`boolean` | `complete`
`java.lang.String` | `errorLogFileName`
`ImageMaster` | `iMaster`
`ImageServer` | `iServer`
`java.lang.String` | `outputFileName`
`java.lang.String` | `outputLogFileName`
`Proj` | `proj`
`int` | `scaleToHeight`
`int` | `scaleToWidth`

Constructor Summary
`ImageMaster.ImageMasterHelper(java.lang.String prefix, java.util.Properties props, ImageMaster master)`

Method Summary
`void` | `create()` Start the ImageServer on it's creative journey.
`ProjectionFactory` | `getProjectionFactory()` Override this method if you want to change the available projections from the defaults.
`void` | `receiveImageData(byte[] imageBytes)` Receive the bytes from a image.
`void` | `writeDataFile(java.lang.String fileName, byte[] imageData)` Write the image to a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iServer

    public ImageServer iServer

### outputFileName

    public java.lang.String outputFileName

### complete

    public boolean complete

### iMaster

    public ImageMaster iMaster

### proj

    public Proj proj

### outputLogFileName

    public java.lang.String outputLogFileName

### errorLogFileName

    public java.lang.String errorLogFileName

### scaleToWidth

    public int scaleToWidth

### scaleToHeight

    public int scaleToHeight

Constructor Detail

### ImageMaster.ImageMasterHelper

    public ImageMaster.ImageMasterHelper(java.lang.String prefix,
                                         java.util.Properties props,
                                         ImageMaster master)

Method Detail

### getProjectionFactory

    public ProjectionFactory getProjectionFactory()

  Override this method if you want to change the available projections from the defaults.

  Returns:
    the ProjectionFactory with projections

### create

    public void create()

  Start the ImageServer on it's creative journey.

### receiveImageData

    public void receiveImageData(byte[] imageBytes)

  Receive the bytes from a image. ImageReceiver interface function.

  Specified by:
    `receiveImageData` in interface `ImageReceiver`
  Parameters:
    `imageBytes` - the formatted image..

### writeDataFile

    public void writeDataFile(java.lang.String fileName,
                              byte[] imageData)

  Write the image to a file.

  Parameters:
    `fileName` - the file name to write the image into.
    `imageData` - the image data to put in the file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details